> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Event Icons

> Get all event icons with optional filtering.



## OpenAPI

````yaml get /user/event-icons/list
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /user/event-icons/list:
    get:
      tags:
        - provider
        - user
      summary: Get Event Icons
      description: Get all event icons with optional filtering.
      operationId: get_event_icons_user_event_icons_list_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Page
        - name: per_page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Per Page
        - name: sort_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sort By
        - name: sort_direction
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                enum:
                  - asc
                  - desc
              - type: 'null'
            title: Sort Direction
        - name: location_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Location Id
        - name: icon_type
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/EventIcon'
              - type: 'null'
            description: Filter by icon type
            title: Icon Type
          description: Filter by icon type
        - name: is_active
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: Filter by active status
            title: Is Active
          description: Filter by active status
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_EventIconSummary_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EventIcon:
      type: string
      enum:
        - BOOKING_FEE_PAID
        - NEW_PATIENT
        - SCHEDULED_BY_AI
        - FORM_COMPLETED
        - CHECKED_IN
      title: EventIcon
    Page_EventIconSummary_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/EventIconSummary'
          type: array
          title: Data
        total:
          type: integer
          title: Total
      type: object
      required:
        - data
        - total
      title: Page[EventIconSummary]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EventIconSummary:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the event icon
        iconType:
          $ref: '#/components/schemas/EventIcon'
          description: Type of event icon
        emoji:
          type: string
          title: Emoji
          description: Emoji for the icon
        color:
          type: string
          title: Color
          description: Color code for the icon (hex format)
        isActive:
          type: boolean
          title: Isactive
          description: Whether the icon is active
        createdDate:
          type: string
          format: date-time
          title: Createddate
          description: Date and time when the icon was created
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
          description: Date and time when the icon was last updated
      type: object
      required:
        - id
        - iconType
        - emoji
        - color
        - isActive
        - createdDate
      title: EventIconSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````